Bug 126686 - CRASH: selecting all in cutting
Summary: CRASH: selecting all in cutting
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:6.4.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2019-08-03 12:36 UTC by Xisco Faulí
Modified: 2019-08-06 14:23 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
gdb bt (18.07 KB, text/plain)
2019-08-03 14:16 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-08-03 12:36:59 UTC
Steps to reproduce:
1. Open attachment 96287 [details] from bug 76137
2. Go to 'Quadro Executivo' sheet
3. Select all
4. Cut

-> Crash

Reproduced in

Version: 6.4.0.0.alpha0+
Build ID: 620fff54ca9cd04459cc5d963ef94d4438129fe4
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-08-03 12:38:05 UTC
Regression introduced by:

author	Balazs Varga <balazs.varga991@gmail.com>	2019-07-17 12:57:47 +0200
committer	László Németh <nemeth@numbertext.org>	2019-07-24 14:04:06 +0200
commit	fa0a981af41a2606541eec1cb20a379a739691e0 (patch)
tree	a90104181609266bdd21538ef85b1bafbb297465
parent	9c4945a6767c298258f8aab053841242dc4f7afc (diff)
tdf#114166 DOCX chart import: fix missing complex categories

Bisected with: bibisect-linux64-6.4

Adding Cc: to Balazs Varga
Comment 2 Julien Nabet 2019-08-03 14:16:54 UTC
Created attachment 153117 [details]
gdb bt

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Julien Nabet 2019-08-03 14:20:50 UTC
Here's a naive patch which prevents LO from crashing:
diff --git a/chart2/source/tools/InternalDataProvider.cxx b/chart2/source/tools/InternalDataProvider.cxx
index acce76d5ea19..7a66e15d8efd 100644
--- a/chart2/source/tools/InternalDataProvider.cxx
+++ b/chart2/source/tools/InternalDataProvider.cxx
@@ -145,7 +145,7 @@ struct lcl_internalizeSeries
                     }
                 }
 
-                if( xLabel.is() )
+                if( xLabel.is() && xLabel->getTextualData().getLength() )
                 {
                     if( m_bDataInColumns )
                         m_rInternalData.setComplexColumnLabel( nNewIndex, lcl_StringToAnyVector( xLabel->getTextualData() ) );
Comment 4 Commit Notification 2019-08-05 11:35:06 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/6461cec4dc1227c5f14c8e96b440c4ac2c0f2428%5E%21

tdf#126686 Chart: fix crash

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2019-08-06 14:23:47 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 967644f09b8b7abe3b86d1647820f14e0196f8b4
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Balázs Varga, thanks for fixing this issue!!